コンテンツへスキップ

GPT Image 2.5 Edit

統合

モデルID openai/gpt-image-2.5/flare/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/flare/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Same sneaker, but on a snowy mountain trail in daylight",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
    ],
    "quality": "medium"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.12 120 APIクレジット このページで実行

APIキーを取得
OpenAI 画像編集 #editing#mask#transparent

OpenAIの画像モデルで最大16枚の参照画像を編集または結合し、任意でマスクと透明度に対応します。

OpenAI · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 55 / 32000

画像生成に使用したプロンプト。

•必須 image_urls
ファイルをドロップ、または · 16まで

生成用の参照画像URL。最大16枚です。

image_size デフォルト auto

出力寸法。'auto'にすると、指定画像から推測されます。

quality

画像品質の選択。'auto'ではモデルに判断を委任します。高い設定ほど詳細が増えますが、レイテンシとトークン使用量も増加します。

num_images デフォルト 1

生成する画像数。

詳細設定 mask · background · output_format · output_compression
mask_url
ファイルをドロップ、または

生成時に編集領域を示すマスク画像のURL。

background デフォルト auto

生成画像の背景。

output_format デフォルト png

出力画像のファイル形式。

output_formatが'jpeg'または'webp'の場合のみ使用できる圧縮設定。範囲は0~100です。

POST /run/openai/gpt-image-2.5/flare/edit?wait=20 見積もり → $0.12
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2.5/flare/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Same sneaker, but on a snowy mountain trail in daylight",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
    ],
    "quality": "medium"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

GPT Image 2.5 Editについて

GPT Image 2.5の編集モードです。変更内容を記述し、最大16枚の参照画像を渡せます。任意で、モデルが描画できる範囲を制限する マスクも指定できます。透明背景、5段階の品質、リクエストあたり最大 10件の結果に対応します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 32,000文字
画像生成に使用したプロンプト。
image_urls必須 images
型url[] · image
≤ 16項目
生成用の参照画像URL。最大16枚です。
mask_url任意 mask
型url · image
生成時に編集領域を示すマスク画像のURL。
image_size任意
型object
デフォルトauto
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
出力寸法。'auto'にすると、指定画像から推測されます。
background任意
型enum
デフォルトauto
autotransparentopaque
生成画像の背景。
quality任意
型enum
デフォルトhigh
autolowmediumhighxhighmax
画像品質の選択。'auto'ではモデルに判断を委任します。高い設定ほど詳細が増えますが、レイテンシとトークン使用量も増加します。
num_images任意 num_outputs
型integer
デフォルト1
1 – 10
生成する画像数。
output_format任意
型enum
デフォルトpng
jpegpngwebp
出力画像のファイル形式。
output_compression任意
型integer | null
0 – 100
output_formatが'jpeg'または'webp'の場合のみ使用できる圧縮設定。範囲は0~100です。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "openai/gpt-image-2.5/flare/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 120,
    "usd": "0.12",
    "charged": 120,
    "refunded": 0
  },
  "input": {
    "prompt": "Same sneaker, but on a snowy mountain trail in daylight",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg"
    ],
    "quality": "medium"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/openai/gpt-image-2.5/flare/edit.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt